function data = plotlockedAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS, part)
plotAFS(parentfig, data, AxesAFS, AxesSOL, lcs, LCS);
hold(AxesAFS, 'on');
plot(AxesAFS,data.FixPoint1(1),data.FixPoint1(2),'kx','Linewidth',2);

for i=1:2
    if data.dimP1(i) > 0
        if i==1
            plot(AxesAFS,data.AFS1{i}(:,1),data.AFS1{i}(:,2),'k--','Linewidth',2);
        else
            plot(AxesAFS,data.AFS1{i}(:,1),data.AFS1{i}(:,2),'k-.','Linewidth',2);
        end
    else
        data.isExpert1 = 0;
    end
end

if part == 2
    plot(AxesAFS,data.FixPoint2(1),data.FixPoint2(2),'ko','Linewidth',2);
    if data.dimP2(1) > 0
        plot(AxesAFS,data.AFS2{1}(:,1),data.AFS2{1}(:,2),'k','Linewidth',2);
    else
        data.isExpert2 = 0;
    end
end
hold(AxesAFS, 'off');
